<?php
$user_id = isset($_COOKIE['Generic-Login']) ? $_COOKIE['Generic-Login'] : 0;
$richtext_editors = [
	'position'=>'center',
	'section_title'=>'',
	'section_elements'=>[
		[
			'column'=>'image',
			'description'=>'Article Image',
			'required'=>true,
			'type'=>'generic-slider',
			'class'=>'col s12 m12'
		],[
			'column'=>'title',
			'description'=>'Title',
			'required'=>true,
			'type'=>'richtext-title',
			'class'=>'col s12 m12'
		],[
			'column'=>'body',
			'description'=>' Body',
			'required'=>true,
			'type'=>'richtext-body',
			'class'=>'col s12 m12'
		]
	]
];

$modal_section = [
	'position'=>'modal',
	'section_title'=>'Publish Settings',
	'section_elements'=>[
		[
			'column'=>'status',
			'source'=>'publish',
			'type'=>'switch',
			'class'=>'col s12 m4'
		],[
			'column'=>'category',
			'description'=>'Add to category',
			'required'=>true,
			'type'=>'select',
			'source'=>'eventCategory',
			'class'=>'col s12 m4'
		],[
			'column'=>'event_date',
			'description'=>'Date Of Event',
			'required'=>true,
			'type'=>'date',
			'class'=>'col s12 m4'
		]
	]
];

$modal_section2 = [
	'position'=>'modal',
	'section_title'=>'Publish Settings',
	'section_elements'=>[
		[
			'column'=>'parent',
			'description'=>'Add to a Page',
			'required'=>true,
			'type'=>'select',
			'source'=>'page',
			'class'=>'col s12 m6'
		],[
			'column'=>'label',
			'description'=>'Add to Label',
			//'required'=>true,
			'type'=>'select',
			'source'=>'label',
			'class'=>'col s12 m6'
		]
	]
];

$param = [
	'organization'=>[//The current organization using the code
		'table'=>'company_info',
		'primary_key'=>'id',
		'page_title'=>'Settings',
		'fixed'=>'id=1',
		'display_fields'=>[
			[
				'column'=>'name',
				'description'=>'This Company',
				'component'=>'span',
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'left',
					'section_title'=>'Basic Company Info',
					'section_elements'=>[
						[
							'column'=>'name',
							'description'=>'Business Name',
							'required'=>true,
							'type'=>'text',
							'class'=>'col s12 m12'
						],[
							'column'=>'resource',
							'description'=>'Slogan',
							'type'=>'text',
							'class'=>'col s12 m12'
						],[
							'column'=>'email',
							'description'=>'Email Address',
							'required'=>true,
							'type'=>'email',
							'class'=>'col s12 m12'
						],[
							'column'=>'website',
							'description'=>'Website',
							'required'=>true,
							'type'=>'url',
							'class'=>'col s12 m12'
						]
					]
				],[
					'position'=>'right',
					'section_title'=>'Company Logo',
					'section_elements'=>[
						[
							'column'=>'logo_ref',
							'description'=>'Logo',
							'required'=>true,
							'type'=>'picture',
							'class'=>'col s12 m12'
						]
					]
				],[
					'position'=>'left',
					'section_title'=>'Branch Offices',
					'section_elements'=>[
						[
							'column'=>'branches',
							'description'=>'',
							'type'=>'description',
							'class'=>'col s12 m12 hidename '
						]
					]
				]
			]
		]
	],//new page
	'role'=>[
		'table'=>'roles',
		'primary_key'=>'roleid',
		'page_title'=>'Roles',
		'display_fields'=>[
			[
				'column'=>'rolename',
				'description'=>'Role Name',
				'component'=>'boldSpan'
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Role Info',
					'section_elements'=>[
						[
							'column'=>'rolename',
							'description'=>'Role Name',
							'type'=>'input',
							'required'=>true,
							'class'=>'col s12 m12'
						],[
							'column'=>'roledesc',
							'required'=>true,
							'type'=>'roles',
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],//new page
	'subscribers'=>[
		'table'=>'subscribers',
		'primary_key'=>'id',
		'page_title'=>'Subscribers',
		'ModalForm'=>true,
		'listFAB'=>['delete'],
		'display_fields'=>[
			[
				'column'=>'email',
				'description'=>'Email',
				'component'=>'span'
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Subscriber Info',
					'section_elements'=>[
						[
							'column'=>'name',
							'description'=>'Subscriber Name',
							'type'=>'text',
							'required'=>true,
							'class'=>'col s12 m12'
						],[
							'column'=>'email',
							'description'=>'Email',
							'type'=>'email',
							'required'=>true,
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],
	'users'=>[
		'table'=>'users',
		'primary_key'=>'id',
		'page_title'=>'Users',
		'display_fields'=>[
			[
				'column'=>'name',
				'description'=>'Users',
				'component'=>'span'
			]

		],
		'form'=>[
			'sections'=>[
			[
				'position'=>'left',
				'section_title'=>'User Info',
				'section_elements'=>[
					[
					'column'=>'name',
					'description'=>'Name',
					'required'=>true,
					'type'=>'input',
					'class'=>'col s12 m12'
					],[
						'column'=>'bio',
						'description'=>'250 character bio',
						'class'=>'col s12 m12',
						'type'=>'textarea'
					]
				]
			],[
				'position'=>'left',
				'section_title'=>'Contact Info',
				'section_elements'=>[
					[
						'column'=>'phone',
						'description'=>'Phone Number',
						'class'=>'col s12 m12',
						'type'=>'input'
					],[
						'column'=>'email',
						'description'=>'Email',
						'class'=>'col s12 m12',
						'type'=>'input'
					],[
						'column'=>'website',
						'description'=>'LinkedIN profile Address',
						'class'=>'col s12 m12',
						'type'=>'input'
					]
				]
			],[
				'position'=>'left',
				'section_title'=>'Security Settings',
				'section_elements'=>[
					[
						'column'=>'username',
						'description'=>'Username',
						'class'=>'col s12 m12',
						'type'=>'input',
						'required'=>true
					],[
						'column'=>'password',
						'description'=>'Password',
						'type'=>'password',
						'required'=>true,
						'class'=>'col s12 m12'
					],[
						'column'=>'roleid',
						'description'=>'Role',
						'type'=>'select',
						'required'=>true,
						'class'=>'col s12 m12',
						'source'=>'role',
					],[
						'column'=>'accesslevel',
						'description'=>'Access Level',
						'type'=>'select',
						'required'=>true,
						'class'=>'col s12 m12',
						'source'=>'accessLevel',
					]
				]
			],[
				'position'=>'right',
				'section_title'=>'Company Logo',
				'section_elements'=>[
					[
						'column'=>'picture_ref',
						'description'=>'Logo',
						'required'=>true,
						'type'=>'picture',
						'class'=>'col s12 m12'
					]
				]
			]]
		]
	],
	'eventCategory'=>[//industry page
		'table'=>'content',
		'primary_key'=>'id',
		'ModalForm'=>true,
		'page_title'=>'Event Category',
		'process_url'=>'process_generic.php',
		'status_column'=>'status',
		'retrieve_filter'=>"type='eventCategory'",
		'fixed_values'=>"type='eventCategory',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'display_fields'=>[
			[
				'column'=>'title',
				'description'=>'Event Category',
				'component'=>'span',
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Add / Edit Event Category',
					'section_elements'=>[
						[
							'column'=>'title',
							'description'=>'Event Category',
							'required'=>true,
							'type'=>'input',
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],
	'newsCategory'=>[//industry page
		'table'=>'content',
		'primary_key'=>'id',
		'ModalForm'=>true,
		'page_title'=>'News Category',
		'process_url'=>'process_generic.php',
		'status_column'=>'status',
		'retrieve_filter'=>"type='newsCategory'",
		'fixed_values'=>"type='newsCategory',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'display_fields'=>[
			[
				'column'=>'title',
				'description'=>'News Category',
				'component'=>'span',
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Add / Edit News Category',
					'section_elements'=>[
						[
							'column'=>'title',
							'description'=>'News Category',
							'required'=>true,
							'type'=>'input',
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],
	'news'=>[
		'table'=>'content',
		'primary_key'=>'id',
		'page_title'=>'News',
		'fixed_values'=>"type='news',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'retrieve_filter'=>"type='news'",
		'status_column'=>'status',
		'display_fields'=>[
			[
			'column'=>'title',
			'description'=>'News',
			'component'=>'span',
			],[
				'column'=>'status',
				'description'=>'Published ?',
				'component'=>'span',
				'action'=>'select',
				'source'=>'bool',
			]
		],
		'category'=>[
			[
				'column'=>'',
				'name'=>'All Articles',
				'type'=>'select',
			],[
				'column'=>'status',
				'type'=>'select',
				'name'=>'Drafts',
				'value'=>'0'
			],[
				'column'=>'status',
				'type'=>'select',
				'name'=>'Published',
				'value'=>'1'
			]
		],
		
		'form'=>[
			'sections'=>[
				$richtext_editors,
				$modal_section
			]
		]
	],
	'events'=>[
		'table'=>'content',
		'primary_key'=>'id',
		'page_title'=>'Events',
		'fixed_values'=>"type='events',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'retrieve_filter'=>"type='events'",
		'status_column'=>'status',
		'display_fields'=>[
			[
			'column'=>'title',
			'description'=>'Events',
			'component'=>'span',
			],[
				'column'=>'status',
				'description'=>'Published ?',
				'component'=>'span',
				'action'=>'select',
				'source'=>'bool',
			]
		],
		'category'=>[
			[
				'column'=>'',
				'name'=>'All Events',
				'type'=>'select',
			],[
				'column'=>'status',
				'type'=>'select',
				'name'=>'Drafts',
				'value'=>'0'
			],[
				'column'=>'status',
				'type'=>'select',
				'name'=>'Published',
				'value'=>'1'
			]
		],
		
		'form'=>[
			'sections'=>[
				$richtext_editors,
				$modal_section
			]
		]
	],
	'quotes'=>[
		'table'=>'content',
		'primary_key'=>'id',
		'page_title'=>'Events',
		'ModalForm'=>true,
		'fixed_values'=>"type='quotes',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'retrieve_filter'=>"type='quotes'",
		'status_column'=>'status',
		'display_fields'=>[
			[
			'column'=>'title',
			'description'=>'Bible Verses',
			'component'=>'span',
			]
		],
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Add / Edit Bible Quotations',
					'section_elements'=>[
						[
							'column'=>'title',
							'description'=>'Bible Verse',
							'required'=>true,
							'type'=>'text',
							'class'=>'col s12 m12'
						],[
							'column'=>'body',
							'description'=>'Bible Quoation',
							'required'=>true,
							'type'=>'textarea',
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],
	'slider'=>[
		'table'=>'content',
		'primary_key'=>'id',
		'fixed'=>'id=1',
		'page_title'=>'Home Page Slider',
		'ModalForm'=>true,
		'fixed_values'=>"type='homePage',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values'=>"date_updated=now()",
		'retrieve_filter'=>"type='homePage'",
		'status_column'=>'status',
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Home Page Slider',
					'section_elements'=>[
						[
							'column'=>'image',
							'description'=>'Article Image',
							'required'=>true,
							'type'=>'generic-slider',
							'class'=>'col s12 m12'
						]
					]
				]
			]
		]
	],
	'gallery'=>[
		'table'=>'company_info',
		'primary_key'=>'id',
		'page_title'=>'Gallery',
		'process_url'=>'process_generic.php',
		'status_column'=>'status',
		'fixed'=>'id=1',
		'form'=>[
			'sections'=>[
				[
					'position'=>'center',
					'section_title'=>'Gallery Page Background Image',
					'section_elements'=>[
						[
							'column'=>'pictures',
							'description'=>'Article Image',
							'required'=>true,
							'type'=>'generic-slider',
							'class'=>'left col s12 m12',
							'description'=>''
						],[
							'column'=>'id',
							'type'=>'content',
							'class'=>'left col s12 m12',
							'description'=>'<h4 class="">How it works</h4><p>This banner is used to setup a picture as the gallery banner on the front-end.</p><p>When you open up the upload dialog you can now start adding images into the gallery folder by "drag and drop" or "conventional picture upload"</p><p>Then note that the image name can be edited and it also serves as the picture title for the gallery pictres when displayed</p>'
						]
					]
				]
			]
		]
	],
];


?>